
########## Tcl recorder starts at 06/27/12 13:33:37 ##########

set version "1.5"
set proj_dir "D:/CPLD_DHEval"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line; continue}
	if {$path && [regexp {^fpgabinpath} $lline]} {set fpga_bin $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]
set fpga_bin [string range $fpga_bin [expr [string first "=" $fpga_bin]+1] end]
regsub -all "\"" $fpga_bin "" fpga_bin
set fpga_bin [file join $fpga_bin]

if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$fpga_bin;$env(PATH)" }

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Hierarchy Browser
# - none -
# Application to view the Process: 
# Hierarchy Browser
if [runCmd "\"$cpld_bin/hierbro\" dheval_v200.jid  toplevel_DHEval"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:33:37 ###########


########## Tcl recorder starts at 06/27/12 13:33:54 ##########

# Commands to make the Process: 
# Compiled Equations
if [runCmd "\"$cpld_bin/blif2eqn\" toplevel_DHEval.bl0 -o toplevel_DHEval.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:33:54 ###########


########## Tcl recorder starts at 06/27/12 13:34:00 ##########

# Commands to make the Process: 
# VHDL Test Bench Template
if [runCmd "\"$cpld_bin/vhd2naf\" -tfi -proj dheval_v200 -mod toplevel_DHEval -out toplevel_DHEval -tpl \"$install_dir/ispcpld/generic/vhdl/testbnch.tft\" -ext vht ./SRC/toplevel_DHEval.vhd"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:34:00 ###########


########## Tcl recorder starts at 06/27/12 13:34:05 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" toplevel_DHEval"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:34:05 ###########


########## Tcl recorder starts at 06/27/12 13:34:10 ##########

# Commands to make the Process: 
# ABEL Test Vector Template
if [runCmd "\"$cpld_bin/vhd2naf\" -tfi -proj dheval_v200 -mod toplevel_DHEval -out toplevel_DHEval -tpl \"$install_dir/ispcpld/plsi/abel/plsiabt.tft\" -ext abt -p \"$install_dir/ispcpld/generic\" ./SRC/toplevel_DHEval.vhd"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:34:10 ###########


########## Tcl recorder starts at 06/27/12 13:34:12 ##########

# Commands to make the Process: 
# Generate Synthesize Tool Tcl Script
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -scriptonly \"toplevel_DHEval_synplify.tcl\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
# Application to view the Process: 
# Generate Synthesize Tool Tcl Script
if [runCmd "\"$cpld_bin/synedit\" -i \"toplevel_DHEval_synplify.tcl\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:34:12 ###########


########## Tcl recorder starts at 06/27/12 13:34:21 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v200.bl5 -o dheval_v200.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:34:21 ###########


########## Tcl recorder starts at 06/27/12 13:54:32 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:54:32 ###########


########## Tcl recorder starts at 06/27/12 13:54:43 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v200.bl5 -o dheval_v200.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:54:43 ###########


########## Tcl recorder starts at 06/27/12 13:55:54 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:55:54 ###########


########## Tcl recorder starts at 06/27/12 13:56:03 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v200.bl5 -o dheval_v200.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:56:03 ###########


########## Tcl recorder starts at 06/27/12 13:56:13 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:56:13 ###########


########## Tcl recorder starts at 06/27/12 13:56:31 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:56:31 ###########


########## Tcl recorder starts at 06/27/12 13:56:36 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:56:36 ###########


########## Tcl recorder starts at 06/27/12 13:58:29 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:58:29 ###########


########## Tcl recorder starts at 06/27/12 13:58:31 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:58:31 ###########


########## Tcl recorder starts at 06/27/12 13:59:05 ##########

# Commands to make the Process: 
# Compiled Equations
if [runCmd "\"$cpld_bin/blif2eqn\" toplevel_DHEval.bl0 -o toplevel_DHEval.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:59:05 ###########


########## Tcl recorder starts at 06/27/12 13:59:08 ##########

# Commands to make the Process: 
# VHDL Test Bench Template
if [runCmd "\"$cpld_bin/vhd2naf\" -tfi -proj dheval_v200 -mod toplevel_DHEval -out toplevel_DHEval -tpl \"$install_dir/ispcpld/generic/vhdl/testbnch.tft\" -ext vht ./SRC/toplevel_DHEval.vhd"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 13:59:08 ###########


########## Tcl recorder starts at 06/27/12 16:20:12 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/27/12 16:20:12 ###########


########## Tcl recorder starts at 07/09/12 11:31:46 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:31:46 ###########


########## Tcl recorder starts at 07/09/12 11:32:58 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:32:58 ###########


########## Tcl recorder starts at 07/09/12 11:33:06 ##########

# Commands to make the Process: 
# Compiled Equations
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" toplevel_DHEval.bl0 -o toplevel_DHEval.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:33:06 ###########


########## Tcl recorder starts at 07/09/12 11:33:28 ##########

# Commands to make the Process: 
# Pre-Fit Equations
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" dheval_v200.bl5 -o dheval_v200.eq2 -use_short -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:33:28 ###########


########## Tcl recorder starts at 07/09/12 11:33:38 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:33:38 ###########


########## Tcl recorder starts at 07/09/12 11:33:40 ##########

# Commands to make the Process: 
# Pre-Fit Equations
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" dheval_v200.bl5 -o dheval_v200.eq2 -use_short -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:33:40 ###########


########## Tcl recorder starts at 07/09/12 11:34:00 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:34:00 ###########


########## Tcl recorder starts at 07/09/12 11:34:18 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v200.bl5 -o dheval_v200.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:34:18 ###########


########## Tcl recorder starts at 07/09/12 11:37:28 ##########

# Commands to make the Process: 
# Constraint Editor
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v200.bl5 -o dheval_v200.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:37:28 ###########


########## Tcl recorder starts at 07/09/12 11:50:23 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:50:23 ###########


########## Tcl recorder starts at 07/09/12 11:51:31 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:51:31 ###########


########## Tcl recorder starts at 07/09/12 11:51:35 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:51:35 ###########


########## Tcl recorder starts at 07/09/12 11:51:50 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:51:50 ###########


########## Tcl recorder starts at 07/09/12 11:51:51 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:51:52 ###########


########## Tcl recorder starts at 07/09/12 11:52:04 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:52:04 ###########


########## Tcl recorder starts at 07/09/12 11:52:25 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:52:25 ###########


########## Tcl recorder starts at 07/09/12 11:52:35 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:52:35 ###########


########## Tcl recorder starts at 07/09/12 11:52:54 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:52:54 ###########


########## Tcl recorder starts at 07/09/12 11:53:09 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:53:09 ###########


########## Tcl recorder starts at 07/09/12 11:53:11 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:53:11 ###########


########## Tcl recorder starts at 07/09/12 11:53:33 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:53:33 ###########


########## Tcl recorder starts at 07/09/12 11:53:35 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:53:35 ###########


########## Tcl recorder starts at 07/09/12 11:53:53 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v200.bl5 -o dheval_v200.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:53:53 ###########


########## Tcl recorder starts at 07/09/12 11:57:08 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:57:08 ###########


########## Tcl recorder starts at 07/09/12 11:57:16 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:57:16 ###########


########## Tcl recorder starts at 07/09/12 11:57:28 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:57:28 ###########


########## Tcl recorder starts at 07/09/12 11:57:32 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:57:32 ###########


########## Tcl recorder starts at 07/09/12 11:57:43 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:57:43 ###########


########## Tcl recorder starts at 07/09/12 11:57:45 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:57:45 ###########


########## Tcl recorder starts at 07/09/12 11:58:14 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:58:14 ###########


########## Tcl recorder starts at 07/09/12 11:58:17 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:58:17 ###########


########## Tcl recorder starts at 07/09/12 11:58:33 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:58:33 ###########


########## Tcl recorder starts at 07/09/12 11:59:07 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 11:59:07 ###########


########## Tcl recorder starts at 07/09/12 12:04:25 ##########

set version "1.5"
set proj_dir "C:/Users/sgonzo.DH/Documents/test"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line; continue}
	if {$path && [regexp {^fpgabinpath} $lline]} {set fpga_bin $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]
set fpga_bin [string range $fpga_bin [expr [string first "=" $fpga_bin]+1] end]
regsub -all "\"" $fpga_bin "" fpga_bin
set fpga_bin [file join $fpga_bin]

if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$fpga_bin;$env(PATH)" }

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Constraint Editor
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v200.bl5 -o dheval_v200.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 12:04:25 ###########


########## Tcl recorder starts at 07/09/12 12:06:59 ##########

# Commands to make the Process: 
# Compile EDIF File
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 12:06:59 ###########


########## Tcl recorder starts at 07/09/12 12:07:08 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v200.bl2\" -omod \"dheval_v200\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v200 -lci dheval_v200.lct -log dheval_v200.imp -err automake.err -tti dheval_v200.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -blifopt dheval_v200.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v200.bl2 -sweep -mergefb -err automake.err -o dheval_v200.bl3 @dheval_v200.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -diofft dheval_v200.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v200.bl3 -family AMDMACH -idev van -o dheval_v200.bl4 -oxrf dheval_v200.xrf -err automake.err @dheval_v200.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v200.lct -dev lc4k -prefit dheval_v200.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v200.bl4 -out dheval_v200.bl5 -err automake.err -log dheval_v200.log -mod toplevel_DHEval @dheval_v200.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v200.bl5 -o dheval_v200.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 12:07:09 ###########


########## Tcl recorder starts at 07/09/12 12:07:46 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 12:07:46 ###########


########## Tcl recorder starts at 07/09/12 12:07:51 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open dheval_v200.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -nojed -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v200.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v200.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v200.bl5 -lci dheval_v200.lct -d m4s_128_96 -lco dheval_v200.lco -html_rpt -fti dheval_v200.fti -fmt PLA -tto dheval_v200.tt4 -eqn dheval_v200.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v200.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v200.rs1
file delete dheval_v200.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v200.bl5 -o dheval_v200.tda -lci dheval_v200.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 12:07:51 ###########


########## Tcl recorder starts at 07/09/12 12:10:32 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 12:10:32 ###########


########## Tcl recorder starts at 07/09/12 12:11:11 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 12:11:11 ###########


########## Tcl recorder starts at 07/09/12 12:11:15 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v200.bl5 -type BLIF -presrc dheval_v200.bl3 -crf dheval_v200.crf -sif dheval_v200.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v200.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 12:11:15 ###########


########## Tcl recorder starts at 07/09/12 12:11:19 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v200 -if dheval_v200.jed -j2s -log dheval_v200.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 12:11:19 ###########


########## Tcl recorder starts at 07/09/12 12:11:26 ##########

# Commands to make the Process: 
# Synplify Synthesize VHDL File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v200.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd

########## Tcl recorder end at 07/09/12 12:11:26 ###########


########## Tcl recorder starts at 07/09/12 12:11:41 ##########

# Commands to make the Process: 
# Compile EDIF File
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v200 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 07/09/12 12:11:41 ###########

