-- VHDL netlist-file
library mach;
use mach.components.all;

library ieee;
use ieee.std_logic_1164.all;
entity toplevel_DHEval is
  port (
    X_L5 : out std_logic;
    X_L7 : out std_logic;
    X_T4 : in std_logic;
    X_VAR1 : in std_logic;
    X_VAR2 : in std_logic;
    X_VAR3 : in std_logic;
    X_PLD_LED : out std_logic;
    X_L6 : out std_logic;
    X_L8 : out std_logic
  );
end toplevel_DHEval;

architecture NetList of toplevel_DHEval is

  signal X_L5Q : std_logic;
  signal X_L7Q : std_logic;
  signal X_T4PIN : std_logic;
  signal X_VAR1PIN : std_logic;
  signal X_VAR2PIN : std_logic;
  signal X_VAR3PIN : std_logic;
  signal X_L6Q : std_logic;
  signal X_L8Q : std_logic;
  signal X_L5_D : std_logic;
  signal X_L5_LH : std_logic;
  signal X_L7_LH : std_logic;
  signal X_L6_D : std_logic;
  signal X_L6_LH : std_logic;
  signal X_L8_LH : std_logic;
  signal VCC_net : std_logic;

begin
  VCC_I_I_1:   VCC port map ( X=>VCC_net );
  OUT_X_L5_I_1:   OBUF
 generic map( PULL => "Up")
 port map ( O=>X_L5, 
            I0=>X_L5Q );
  OUT_X_L7_I_1:   OBUF
 generic map( PULL => "Up")
 port map ( O=>X_L7, 
            I0=>X_L7Q );
  IN_X_T4_I_1:   IBUF
 generic map( PULL => "Up")
 port map ( O=>X_T4PIN, 
            I0=>X_T4 );
  IN_X_VAR1_I_1:   IBUF
 generic map( PULL => "Up")
 port map ( O=>X_VAR1PIN, 
            I0=>X_VAR1 );
  IN_X_VAR2_I_1:   IBUF
 generic map( PULL => "Up")
 port map ( O=>X_VAR2PIN, 
            I0=>X_VAR2 );
  IN_X_VAR3_I_1:   IBUF
 generic map( PULL => "Up")
 port map ( O=>X_VAR3PIN, 
            I0=>X_VAR3 );
  OUT_X_PLD_LED_I_1:   OBUF
 generic map( PULL => "Up")
 port map ( O=>X_PLD_LED, 
            I0=>VCC_net );
  OUT_X_L6_I_1:   OBUF
 generic map( PULL => "Up")
 port map ( O=>X_L6, 
            I0=>X_L6Q );
  OUT_X_L8_I_1:   OBUF
 generic map( PULL => "Up")
 port map ( O=>X_L8, 
            I0=>X_L8Q );
  LATCH_X_L5_I_1:   DLAT port map ( Q=>X_L5Q, 
            LAT=>X_L5_LH, 
            D=>X_L5_D );
  LATCH_X_L7_I_1:   DLAT port map ( Q=>X_L7Q, 
            LAT=>X_L7_LH, 
            D=>X_T4PIN );
  LATCH_X_L6_I_1:   DLAT port map ( Q=>X_L6Q, 
            LAT=>X_L6_LH, 
            D=>X_L6_D );
  LATCH_X_L8_I_1:   DLAT port map ( Q=>X_L8Q, 
            LAT=>X_L8_LH, 
            D=>X_T4PIN );
  GATE_X_L5_D_I_1:   INV port map ( I0=>X_T4PIN, 
            O=>X_L5_D );
  GATE_X_L5_LH_I_1:   NOR3 port map ( O=>X_L5_LH, 
            I2=>X_VAR2PIN, 
            I1=>X_VAR1PIN, 
            I0=>X_VAR3PIN );
  GATE_X_L7_LH_I_1:   NOR3 port map ( O=>X_L7_LH, 
            I2=>X_VAR2PIN, 
            I1=>X_VAR1PIN, 
            I0=>X_VAR3PIN );
  GATE_X_L6_D_I_1:   INV port map ( I0=>X_T4PIN, 
            O=>X_L6_D );
  GATE_X_L6_LH_I_1:   NOR3 port map ( O=>X_L6_LH, 
            I2=>X_VAR2PIN, 
            I1=>X_VAR1PIN, 
            I0=>X_VAR3PIN );
  GATE_X_L8_LH_I_1:   NOR3 port map ( O=>X_L8_LH, 
            I2=>X_VAR2PIN, 
            I1=>X_VAR1PIN, 
            I0=>X_VAR3PIN );

end NetList;
