
########## Tcl recorder starts at 02/22/12 16:26:52 ##########

set version "1.5"
set proj_dir "D:/CPLD_DHEval"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line; continue}
	if {$path && [regexp {^fpgabinpath} $lline]} {set fpga_bin $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]
set fpga_bin [string range $fpga_bin [expr [string first "=" $fpga_bin]+1] end]
regsub -all "\"" $fpga_bin "" fpga_bin
set fpga_bin [file join $fpga_bin]

if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$fpga_bin;$env(PATH)" }

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:26:52 ###########


########## Tcl recorder starts at 02/22/12 16:28:42 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:28:42 ###########


########## Tcl recorder starts at 02/22/12 16:28:50 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open En_CP5.cmd w} rspFile] {
	puts stderr "Cannot create response file En_CP5.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: En_CP5
WORKING_PATH: \"$proj_dir\"
MODULE: En_CP5
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: En_CP5
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e En_CP5 -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete En_CP5.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf En_CP5.edi -out En_CP5.bl0 -err automake.err -log En_CP5.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" En_CP5.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"En_CP5.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod En_CP5 @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v300.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -nojed -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v300.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v300.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rs1
file delete dheval_v300.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v300.bl5 -o dheval_v300.tda -lci dheval_v300.lct -dev m4s_128_96 -family lc4k -mod En_CP5 -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:28:50 ###########


########## Tcl recorder starts at 02/22/12 16:30:18 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:30:18 ###########


########## Tcl recorder starts at 02/22/12 16:30:24 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v300.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -nojed -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v300.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v300.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rs1
file delete dheval_v300.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v300.bl5 -o dheval_v300.tda -lci dheval_v300.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:30:24 ###########


########## Tcl recorder starts at 02/22/12 16:30:53 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:30:53 ###########


########## Tcl recorder starts at 02/22/12 16:31:00 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v300.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -nojed -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v300.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v300.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rs1
file delete dheval_v300.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v300.bl5 -o dheval_v300.tda -lci dheval_v300.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:31:00 ###########


########## Tcl recorder starts at 02/22/12 16:31:53 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:31:53 ###########


########## Tcl recorder starts at 02/22/12 16:48:38 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:48:38 ###########


########## Tcl recorder starts at 02/22/12 16:49:06 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:49:06 ###########


########## Tcl recorder starts at 02/22/12 16:49:32 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:49:32 ###########


########## Tcl recorder starts at 02/22/12 16:50:31 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:50:31 ###########


########## Tcl recorder starts at 02/22/12 16:50:52 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:50:52 ###########


########## Tcl recorder starts at 02/22/12 16:50:58 ##########

# Commands to make the Process: 
# Compiled Equations
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" toplevel_DHEval.bl0 -o toplevel_DHEval.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:50:58 ###########


########## Tcl recorder starts at 02/22/12 16:51:18 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:51:18 ###########


########## Tcl recorder starts at 02/22/12 16:51:22 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:51:22 ###########


########## Tcl recorder starts at 02/22/12 16:52:08 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:52:08 ###########


########## Tcl recorder starts at 02/22/12 16:52:12 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:52:12 ###########


########## Tcl recorder starts at 02/22/12 16:52:25 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:52:25 ###########


########## Tcl recorder starts at 02/22/12 16:52:29 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:52:29 ###########


########## Tcl recorder starts at 02/22/12 16:52:56 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:52:56 ###########


########## Tcl recorder starts at 02/22/12 16:52:59 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:52:59 ###########


########## Tcl recorder starts at 02/22/12 16:57:56 ##########

# Commands to make the Process: 
# Compile EDIF File
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:57:56 ###########


########## Tcl recorder starts at 02/22/12 16:58:03 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v300.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -nojed -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v300.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v300.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rs1
file delete dheval_v300.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v300.bl5 -o dheval_v300.tda -lci dheval_v300.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 16:58:04 ###########


########## Tcl recorder starts at 02/22/12 17:01:18 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:01:18 ###########


########## Tcl recorder starts at 02/22/12 17:01:22 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:01:22 ###########


########## Tcl recorder starts at 02/22/12 17:01:25 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:01:25 ###########


########## Tcl recorder starts at 02/22/12 17:01:36 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v300.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -nojed -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v300.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v300.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rs1
file delete dheval_v300.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v300.bl5 -o dheval_v300.tda -lci dheval_v300.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:01:37 ###########


########## Tcl recorder starts at 02/22/12 17:01:54 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:01:54 ###########


########## Tcl recorder starts at 02/22/12 17:02:26 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:02:26 ###########


########## Tcl recorder starts at 02/22/12 17:03:02 ##########

# Commands to make the Process: 
# Optimization Constraint
# - none -
# Application to view the Process: 
# Optimization Constraint
if [catch {open opt_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file opt_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-global -lci dheval_v300.lct -touch dheval_v300.imp
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/optedit\" @opt_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:03:02 ###########


########## Tcl recorder starts at 02/22/12 17:04:22 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:04:22 ###########


########## Tcl recorder starts at 02/22/12 17:07:55 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:07:55 ###########


########## Tcl recorder starts at 02/22/12 17:11:40 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:11:40 ###########


########## Tcl recorder starts at 02/22/12 17:12:51 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:12:51 ###########


########## Tcl recorder starts at 02/22/12 17:12:57 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v300.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -nojed -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v300.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v300.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rs1
file delete dheval_v300.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v300.bl5 -o dheval_v300.tda -lci dheval_v300.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/12 17:12:57 ###########


########## Tcl recorder starts at 02/23/12 07:28:20 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:28:20 ###########


########## Tcl recorder starts at 02/23/12 07:41:26 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:41:26 ###########


########## Tcl recorder starts at 02/23/12 07:41:36 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:41:36 ###########


########## Tcl recorder starts at 02/23/12 07:42:20 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:42:20 ###########


########## Tcl recorder starts at 02/23/12 07:42:25 ##########

# Commands to make the Process: 
# Compiled Equations
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" toplevel_DHEval.bl0 -o toplevel_DHEval.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:42:25 ###########


########## Tcl recorder starts at 02/23/12 07:43:50 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:43:50 ###########


########## Tcl recorder starts at 02/23/12 07:43:55 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:43:55 ###########


########## Tcl recorder starts at 02/23/12 07:46:44 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:46:44 ###########


########## Tcl recorder starts at 02/23/12 07:46:48 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:46:48 ###########


########## Tcl recorder starts at 02/23/12 07:47:10 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:47:10 ###########


########## Tcl recorder starts at 02/23/12 07:47:13 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:47:13 ###########


########## Tcl recorder starts at 02/23/12 07:47:39 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:47:39 ###########


########## Tcl recorder starts at 02/23/12 07:47:42 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:47:42 ###########


########## Tcl recorder starts at 02/23/12 07:48:04 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:48:04 ###########


########## Tcl recorder starts at 02/23/12 07:49:05 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:49:05 ###########


########## Tcl recorder starts at 02/23/12 07:49:09 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:49:09 ###########


########## Tcl recorder starts at 02/23/12 07:49:22 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:49:22 ###########


########## Tcl recorder starts at 02/23/12 07:49:38 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:49:38 ###########


########## Tcl recorder starts at 02/23/12 07:58:22 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open dheval_v300.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -nojed -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v300.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v300.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rs1
file delete dheval_v300.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v300.bl5 -o dheval_v300.tda -lci dheval_v300.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:58:22 ###########


########## Tcl recorder starts at 02/23/12 07:59:18 ##########

# Commands to make the Process: 
# Optimization Constraint
# - none -
# Application to view the Process: 
# Optimization Constraint
if [catch {open opt_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file opt_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-global -lci dheval_v300.lct -touch dheval_v300.imp
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/optedit\" @opt_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:59:18 ###########


########## Tcl recorder starts at 02/23/12 07:59:25 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:59:25 ###########


########## Tcl recorder starts at 02/23/12 07:59:59 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 07:59:59 ###########


########## Tcl recorder starts at 02/23/12 08:00:03 ##########

# Commands to make the Process: 
# Optimization Constraint
# - none -
# Application to view the Process: 
# Optimization Constraint
if [catch {open opt_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file opt_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-global -lci dheval_v300.lct -touch dheval_v300.imp
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/optedit\" @opt_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:00:03 ###########


########## Tcl recorder starts at 02/23/12 08:02:12 ##########

# Commands to make the Process: 
# Compiled Equations
if [runCmd "\"$cpld_bin/blif2eqn\" toplevel_DHEval.bl0 -o toplevel_DHEval.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:02:12 ###########


########## Tcl recorder starts at 02/23/12 08:02:15 ##########

# Commands to make the Process: 
# VHDL Test Bench Template
if [runCmd "\"$cpld_bin/vhd2naf\" -tfi -proj dheval_v300 -mod toplevel_DHEval -out toplevel_DHEval -tpl \"$install_dir/ispcpld/generic/vhdl/testbnch.tft\" -ext vht ./SRC/toplevel_DHEval.vhd"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:02:15 ###########


########## Tcl recorder starts at 02/23/12 08:02:18 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" toplevel_DHEval"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:02:18 ###########


########## Tcl recorder starts at 02/23/12 08:02:22 ##########

# Commands to make the Process: 
# ABEL Test Vector Template
if [runCmd "\"$cpld_bin/vhd2naf\" -tfi -proj dheval_v300 -mod toplevel_DHEval -out toplevel_DHEval -tpl \"$install_dir/ispcpld/plsi/abel/plsiabt.tft\" -ext abt -p \"$install_dir/ispcpld/generic\" ./SRC/toplevel_DHEval.vhd"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:02:22 ###########


########## Tcl recorder starts at 02/23/12 08:02:26 ##########

# Commands to make the Process: 
# Generate Synthesize Tool Tcl Script
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -scriptonly \"toplevel_DHEval_synplify.tcl\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
# Application to view the Process: 
# Generate Synthesize Tool Tcl Script
if [runCmd "\"$cpld_bin/synedit\" -i \"toplevel_DHEval_synplify.tcl\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:02:26 ###########


########## Tcl recorder starts at 02/23/12 08:02:34 ##########

# Commands to make the Process: 
# ISC-1532 File
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2i "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:02:34 ###########


########## Tcl recorder starts at 02/23/12 08:02:38 ##########

# Commands to make the Process: 
# Timing Report
if [runCmd "\"$cpld_bin/timer\" -inp \"dheval_v300.tt4\" -lci \"dheval_v300.lct\" -trp \"dheval_v300.trp\" -exf \"toplevel_DHEval.exf\" -lco \"dheval_v300.lco\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:02:38 ###########


########## Tcl recorder starts at 02/23/12 08:02:41 ##########

# Commands to make the Process: 
# Report File
if [catch {open dheval_v300.rsp w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rsp: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.tt4 -lib \"$install_dir/ispcpld/dat/lc4k\" -strategy top -sdfmdl \"$install_dir/ispcpld/dat/sdf.mdl\" -pla dheval_v300.tt4 -lci dheval_v300.lct -prj dheval_v300 -dir \"$proj_dir\" -err automake.err -log dheval_v300.nrp -exf toplevel_DHEval.exf 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/sdf\" @dheval_v300.rsp"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rsp

########## Tcl recorder end at 02/23/12 08:02:41 ###########


########## Tcl recorder starts at 02/23/12 08:02:43 ##########

# Commands to make the Process: 
# Stamp Model File
if [runCmd "\"$cpld_bin/timer\" -inp \"dheval_v300.tt4\" -lci \"dheval_v300.lct\" -stamp \"dheval_v300.stamp\" -exf \"toplevel_DHEval.exf\" -lco \"dheval_v300.lco\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/stamppar\" -i dheval_v300.stamp "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:02:43 ###########


########## Tcl recorder starts at 02/23/12 08:02:49 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:02:49 ###########


########## Tcl recorder starts at 02/23/12 08:02:52 ##########

# Commands to make the Process: 
# Pre-Fit Equations
if [runCmd "\"$cpld_bin/blif2eqn\" dheval_v300.bl5 -o dheval_v300.eq2 -use_short -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:02:52 ###########


########## Tcl recorder starts at 02/23/12 08:04:10 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:04:10 ###########


########## Tcl recorder starts at 02/23/12 08:06:07 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:06:07 ###########


########## Tcl recorder starts at 02/23/12 08:06:11 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:06:11 ###########


########## Tcl recorder starts at 02/23/12 08:06:27 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v300.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -nojed -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v300.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v300.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rs1
file delete dheval_v300.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v300.bl5 -o dheval_v300.tda -lci dheval_v300.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:06:27 ###########


########## Tcl recorder starts at 02/23/12 08:08:07 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:08:07 ###########


########## Tcl recorder starts at 02/23/12 08:20:01 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/23/12 08:20:01 ###########


########## Tcl recorder starts at 03/15/12 11:55:43 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:55:43 ###########


########## Tcl recorder starts at 03/15/12 11:56:00 ##########

# Commands to make the Process: 
# Constraint Editor
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:56:00 ###########


########## Tcl recorder starts at 03/15/12 11:56:16 ##########

# Commands to make the Process: 
# Constraint Editor
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:56:16 ###########


########## Tcl recorder starts at 03/15/12 11:56:27 ##########

# Commands to make the Process: 
# Compiled Equations
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" toplevel_DHEval.bl0 -o toplevel_DHEval.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:56:27 ###########


########## Tcl recorder starts at 03/15/12 11:57:08 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:57:08 ###########


########## Tcl recorder starts at 03/15/12 11:57:37 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:57:37 ###########


########## Tcl recorder starts at 03/15/12 11:58:07 ##########

# Commands to make the Process: 
# Compiled Equations
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" toplevel_DHEval.bl0 -o toplevel_DHEval.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:58:07 ###########


########## Tcl recorder starts at 03/15/12 11:58:19 ##########

# Commands to make the Process: 
# Compiled Equations
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" toplevel_DHEval.bl0 -o toplevel_DHEval.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:58:19 ###########


########## Tcl recorder starts at 03/15/12 11:58:35 ##########

# Commands to make the Process: 
# Compile EDIF File
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:58:35 ###########


########## Tcl recorder starts at 03/15/12 11:58:38 ##########

# Commands to make the Process: 
# VHDL Test Bench Template
if [runCmd "\"$cpld_bin/vhd2naf\" -tfi -proj dheval_v300 -mod toplevel_DHEval -out toplevel_DHEval -tpl \"$install_dir/ispcpld/generic/vhdl/testbnch.tft\" -ext vht ./SRC/toplevel_DHEval.vhd"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:58:38 ###########


########## Tcl recorder starts at 03/15/12 11:58:41 ##########

# Commands to make the Process: 
# Signal Cross Reference
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:58:41 ###########


########## Tcl recorder starts at 03/15/12 11:58:58 ##########

# Commands to make the Process: 
# Compiled Equations
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" toplevel_DHEval.bl0 -o toplevel_DHEval.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:58:58 ###########


########## Tcl recorder starts at 03/15/12 11:59:27 ##########

# Commands to make the Process: 
# Compiled Equations
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" toplevel_DHEval.bl0 -o toplevel_DHEval.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 11:59:27 ###########


########## Tcl recorder starts at 03/15/12 12:02:28 ##########

# Commands to make the Process: 
# Signal Cross Reference
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:02:28 ###########


########## Tcl recorder starts at 03/15/12 12:02:38 ##########

# Commands to make the Process: 
# Compile EDIF File
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:02:38 ###########


########## Tcl recorder starts at 03/15/12 12:02:46 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:02:46 ###########


########## Tcl recorder starts at 03/15/12 12:03:43 ##########

# Commands to make the Process: 
# Compile EDIF File
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:03:43 ###########


########## Tcl recorder starts at 03/15/12 12:04:52 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:04:52 ###########


########## Tcl recorder starts at 03/15/12 12:04:57 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:04:57 ###########


########## Tcl recorder starts at 03/15/12 12:08:08 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:08:08 ###########


########## Tcl recorder starts at 03/15/12 12:08:11 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:08:11 ###########


########## Tcl recorder starts at 03/15/12 12:08:44 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:08:44 ###########


########## Tcl recorder starts at 03/15/12 12:08:46 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:08:46 ###########


########## Tcl recorder starts at 03/15/12 12:09:55 ##########

# Commands to make the Process: 
# Compile EDIF File
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:09:55 ###########


########## Tcl recorder starts at 03/15/12 12:10:07 ##########

# Commands to make the Process: 
# Compile EDIF File
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:10:07 ###########


########## Tcl recorder starts at 03/15/12 12:11:31 ##########

# Commands to make the Process: 
# Compile EDIF File
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 12:11:31 ###########


########## Tcl recorder starts at 03/15/12 13:19:58 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 13:19:58 ###########


########## Tcl recorder starts at 03/15/12 13:39:05 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 13:39:05 ###########


########## Tcl recorder starts at 03/15/12 14:06:33 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open dheval_v300.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -nojed -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v300.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v300.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rs1
file delete dheval_v300.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v300.bl5 -o dheval_v300.tda -lci dheval_v300.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:06:33 ###########


########## Tcl recorder starts at 03/15/12 14:06:37 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:06:37 ###########


########## Tcl recorder starts at 03/15/12 14:08:42 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:08:42 ###########


########## Tcl recorder starts at 03/15/12 14:08:49 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:08:49 ###########


########## Tcl recorder starts at 03/15/12 14:10:21 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:10:21 ###########


########## Tcl recorder starts at 03/15/12 14:10:23 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:10:23 ###########


########## Tcl recorder starts at 03/15/12 14:10:44 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:10:44 ###########


########## Tcl recorder starts at 03/15/12 14:10:46 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:10:46 ###########


########## Tcl recorder starts at 03/15/12 14:11:39 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:11:39 ###########


########## Tcl recorder starts at 03/15/12 14:11:41 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:11:41 ###########


########## Tcl recorder starts at 03/15/12 14:12:09 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:12:09 ###########


########## Tcl recorder starts at 03/15/12 14:12:12 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:12:12 ###########


########## Tcl recorder starts at 03/15/12 14:12:30 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:12:30 ###########


########## Tcl recorder starts at 03/15/12 14:12:32 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:12:32 ###########


########## Tcl recorder starts at 03/15/12 14:13:09 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:13:09 ###########


########## Tcl recorder starts at 03/15/12 14:13:12 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:13:12 ###########


########## Tcl recorder starts at 03/15/12 14:13:26 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:13:26 ###########


########## Tcl recorder starts at 03/15/12 14:13:29 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:13:29 ###########


########## Tcl recorder starts at 03/15/12 14:13:49 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:13:49 ###########


########## Tcl recorder starts at 03/15/12 14:13:51 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:13:51 ###########


########## Tcl recorder starts at 03/15/12 14:16:32 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:16:32 ###########


########## Tcl recorder starts at 03/15/12 14:20:07 ##########

# Commands to make the Process: 
# Compile EDIF File
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:20:07 ###########


########## Tcl recorder starts at 03/15/12 14:20:32 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:20:32 ###########


########## Tcl recorder starts at 03/15/12 14:46:34 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:46:34 ###########


########## Tcl recorder starts at 03/15/12 14:49:52 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:49:52 ###########


########## Tcl recorder starts at 03/15/12 14:50:44 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open dheval_v300.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -nojed -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v300.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v300.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rs1
file delete dheval_v300.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v300.bl5 -o dheval_v300.tda -lci dheval_v300.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:50:44 ###########


########## Tcl recorder starts at 03/15/12 14:50:49 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:50:49 ###########


########## Tcl recorder starts at 03/15/12 14:51:47 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./SRC/toplevel_DHEval.vhd -o toplevel_DHEval.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:51:47 ###########


########## Tcl recorder starts at 03/15/12 14:51:49 ##########

# Commands to make the Process: 
# Compile EDIF File
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheval_v300.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./SRC/toplevel_DHEval.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:51:49 ###########


########## Tcl recorder starts at 03/15/12 14:52:13 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheval_v300.bl2\" -omod \"dheval_v300\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheval_v300 -lci dheval_v300.lct -log dheval_v300.imp -err automake.err -tti dheval_v300.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -blifopt dheval_v300.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheval_v300.bl2 -sweep -mergefb -err automake.err -o dheval_v300.bl3 @dheval_v300.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -diofft dheval_v300.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheval_v300.bl3 -family AMDMACH -idev van -o dheval_v300.bl4 -oxrf dheval_v300.xrf -err automake.err @dheval_v300.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheval_v300.lct -dev lc4k -prefit dheval_v300.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheval_v300.bl4 -out dheval_v300.bl5 -err automake.err -log dheval_v300.log -mod toplevel_DHEval @dheval_v300.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheval_v300.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs1: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -nojed -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheval_v300.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheval_v300.rs2: $rspFile"
} else {
	puts $rspFile "-i dheval_v300.bl5 -lci dheval_v300.lct -d m4s_128_96 -lco dheval_v300.lco -html_rpt -fti dheval_v300.fti -fmt PLA -tto dheval_v300.tt4 -eqn dheval_v300.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheval_v300.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheval_v300.rs1
file delete dheval_v300.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheval_v300.bl5 -o dheval_v300.tda -lci dheval_v300.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheval_v300 -if dheval_v300.jed -j2s -log dheval_v300.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/15/12 14:52:13 ###########


########## Tcl recorder starts at 03/21/12 14:57:13 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheval_v300.bl5 -o dheval_v300.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/21/12 14:57:13 ###########


########## Tcl recorder starts at 06/14/12 15:48:49 ##########

# Commands to make the Process: 
# Compile EDIF File
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheval_v300 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/14/12 15:48:49 ###########


########## Tcl recorder starts at 06/14/12 15:49:13 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/14/12 15:49:13 ###########


########## Tcl recorder starts at 06/15/12 08:51:39 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/15/12 08:51:39 ###########


########## Tcl recorder starts at 06/15/12 10:27:09 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheval_v300.bl5 -type BLIF -presrc dheval_v300.bl3 -crf dheval_v300.crf -sif dheval_v300.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheval_v300.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 06/15/12 10:27:09 ###########

